top of page

Are you taking more risk by not upgrading to the latest version of Flood Modeller?

Whether you’re concerned about backward compatibility or hidden costs, you could be taking a greater risk, and compromising project delivery, by continuing with an older version of Flood Modeller. In this article, we highlight the reasons why upgrading is the best option. 


Software features and functionalities 

As well as numerous enhancements and bug fixes, by upgrading to Flood Modeller 7.0, you gain access to outstanding new features to enhance your flood modelling and accelerate project delivery: 


  • GPU-enabled 2D solver – Run large models in hours instead of days. Our benchmarking tests have proven that models run with the GPU solver are up to 96% faster. 

  • Integrated modelling – All four editions of the software now include 1D river, 1D urban and 2D capabilities, allowing you to confidently model multiple sources of flooding for a more accurate assessment of flood risk and more informed decision-making. 

  • Larger 2D models without the cost – The Lite, Standard and Professional editions of Flood Modeller now provide up to 300% more 2D cells, allowing you to model larger areas or obtain greater detail by reducing the cell size. 

  • Hydrology+ - Hydrological analysis can be carried out in a fraction of the time it usually takes. No more spreadsheets or manual data requests! Data such as catchment descriptors, peak flow, and observed data, are all accessible directly within the Flood Modeller interface.  The new WINFAP and ReFH2 cloud licences also unlock new possibilities, your licences are no longer ties into a machine, meaning they can be shared with your organisation to work more quickly and efficiently.  


Hydrology+

Cost 

With an ongoing Flood Modeller support and maintenance contract, upgrading to the latest version of the software doesn’t incur a cost. You can gain access to all the new features and enhancements that are provided as part of your edition of the software, which means more value every time a new version is released. 


Support 

Our commitment is to ensure gold-standard support for the current version and the latest one before it. While we'd love to support all legacy versions, it's not always practical. This means that with the release of version 7.0, versions 5.1 and earlier are no longer supported.  

By using the most recent version of the software, you can be assured that we will be here to help should you require any assistance. 


Backward compatibility 

We guarantee that all new versions of the software are designed with backward compatibility in mind. As part of our release process, we conduct rigorous benchmark testing and quality assurance to verify compatibility across different devices and models to ensure that any models built/run in previous versions of Flood Modeller can be loaded, edited, and run in the latest versions.


Want to upgrade? 

As proven by the points above, the benefits of upgrading to Flood Modeller 7.0 significantly outweigh any potential risks. We strive to provide you with an improved, most robust version of the software with each release. 


Ready to upgrade? Contact our Support team


Once you’re set-up, you can upgrade to any future versions directly from the software download section on our website. 

Comments


bottom of page